Package com.xebialabs.xlrelease.domain.events

## Class CommentDeletedEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction2<Task,​Comment,​CommentDeletedEvent>
  - - com.xebialabs.xlrelease.domain.events.CommentDeletedEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function2<Task,​Comment,​CommentDeletedEvent>`

      public class CommentDeletedEvent$
      extends scala.runtime.AbstractFunction2<Task,​Comment,​CommentDeletedEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CommentDeletedEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommentDeletedEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CommentDeletedEvent` | `apply​(Task task, Comment comment)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple2<Task,​Comment>>` | `unapply​(CommentDeletedEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction2

      `apply$mcDDD$sp, apply$mcDDI$sp, apply$mcDDJ$sp, apply$mcDID$sp, apply$mcDII$sp, apply$mcDIJ$sp, apply$mcDJD$sp, apply$mcDJI$sp, apply$mcDJJ$sp, apply$mcFDD$sp, apply$mcFDI$sp, apply$mcFDJ$sp, apply$mcFID$sp, apply$mcFII$sp, apply$mcFIJ$sp, apply$mcFJD$sp, apply$mcFJI$sp, apply$mcFJJ$sp, apply$mcIDD$sp, apply$mcIDI$sp, apply$mcIDJ$sp, apply$mcIID$sp, apply$mcIII$sp, apply$mcIIJ$sp, apply$mcIJD$sp, apply$mcIJI$sp, apply$mcIJJ$sp, apply$mcJDD$sp, apply$mcJDI$sp, apply$mcJDJ$sp, apply$mcJID$sp, apply$mcJII$sp, apply$mcJIJ$sp, apply$mcJJD$sp, apply$mcJJI$sp, apply$mcJJJ$sp, apply$mcVDD$sp, apply$mcVDI$sp, apply$mcVDJ$sp, apply$mcVID$sp, apply$mcVII$sp, apply$mcVIJ$sp, apply$mcVJD$sp, apply$mcVJI$sp, apply$mcVJJ$sp, apply$mcZDD$sp, apply$mcZDI$sp, apply$mcZDJ$sp, apply$mcZID$sp, apply$mcZII$sp, apply$mcZIJ$sp, apply$mcZJD$sp, apply$mcZJI$sp, apply$mcZJJ$sp, curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final CommentDeletedEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### CommentDeletedEvent$

          public CommentDeletedEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function2<Task,​Comment,​CommentDeletedEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction2<Task,​Comment,​CommentDeletedEvent>`

    - #### apply

          public CommentDeletedEvent apply​(Task task,
                                           Comment comment)

      Specified by:
        `apply` in interface `scala.Function2<Task,​Comment,​CommentDeletedEvent>`

    - #### unapply

          public scala.Option<scala.Tuple2<Task,​Comment>> unapply​(CommentDeletedEvent x$0)